<?php
if(!defined('INDEX')) { header('Location: ../'); exit; }
$page = 'caserne';
$titre = $batiment[9];

//Vérification que le joueur ait bien un labo avant d'afficher la page
if ($planete->batiments[9] == 0) erreur('Vous devez d\'abord construire une '.strtolower($batiment[9]), "red", '?p=batiments', 4000);

$TEMP_batiments = array();
$nbstop = count($casernen);

//Lancement d'une nouvelle construction
if (isset($_GET['v']) && is_numeric($_GET['v']) && $nbv = floor(gpc('nombre', 'post'))) {
	//Récupération des erreurs de la mise en file d'attente pour traitement
	$construction = $planete->file_addObjet("casernes", intval(gpc('v')), $nbv);

	switch($construction){
		case 1: erreur('Vous n\'avez pas les bâtiments et/ou technologies nécessaires pour entraîner cette unité.'); break;
		case 3: erreur('Vous n\'avez pas les ressources nécessaire pour entraîner cette unité !'); break;
		default: header('Location: ?p=caserne'); exit;
	}
}
//Annulation d'une nouvelle construction
if (isset($_GET['a'])) {
	$i = intval(gpc('a'));
	$n = intval(gpc('n'));
	if (empty($n)) $n = 1;
	$w = intval(gpc('w'));
	if (empty($w) && !$w === 0) $w = 99;
	else $w++;
	//Vérification de la présence du batiment dans la file d'attente
	if($planete->file_exist($i, 'file_cas')) {
		$planete->file_delObjet("casernes", $i, $n, $w);
		header('Location: ?p=caserne');
		exit;
	}
}
//Règler la production à la châine
/*	if (isset($_GET['r']) && ($_GET['r'] == 1 || $_GET['r'] == 0)) {
   if($_GET['r']) $file->chaine = false;
   else $file->chaine = true;
   $export = mysql_real_escape_string(serialize($file));
   mysql_query("UPDATE planete SET file_bat = '$export' WHERE id = '$idPlan';");
   header('Location: ?p=batiments');
   exit;
   }*/

for ($i=0 ; $i<$nbstop ; $i++) {
	$a = $casernenCALC[$i][0]; $b = $casernenCALC[$i][1]; $c = $casernenCALC[$i][2]; eval($casernenCALC[$i][3]);
	if ($planete->file_exist($i, 'file_cas')) $enFile = true;
	$nombre = $planete->casernes[$i];
	if (!empty($casernen[$i]) && requestDeblok($casernenTECH[$i], $planete)) $TEMP_batiments[] =
			array(
				'image' => $casernei[$i],
				'nom'  => $casernen[$i],
				'nombre'  => $nombre,
				'description'  => $casernde[$i],
				'descriptione'  => addslashes($casernde[$i]),
				'nec_metal' => $a,
				'nec_cristal' => $b,
				'nec_hydrogene' => $c,
				'nec_metalS' => separerNombres($a),
				'nec_cristalS' => separerNombres($b),
				'nec_hydrogeneS' => separerNombres($c),
				'temps' => sec($sec),
				'num' => $i
		);
}
$template->assign('unites', $TEMP_batiments);
$template->assign('chaine', $planete->casernes);
$nbfile = count($planete->file_cas) - 1;

if ($nbfile == 1) $template->assign('Pchaine', true);
else $template->assign('Pchaine', false);
if ($nbfile == 0) $template->assign('Vchaine', true);
else $template->assign('Vchaine', false);

$file = array();
for ($i=1 ; $i <= $nbfile ; $i++) {
	$extract = explode(',', $planete->file_cas[$i]);

	$n = $planete->casernes[$extract[0]] + 1;
	eval($casernenCALC[$extract[0]][3]);
	if ($i == 1) $file[] = array($extract[0], $extract[1], ceil($sec - (time() - $planete->file_cas[0])), $casernen[$extract[0]]);
	else $file[] = array($extract[0], $extract[1], ceil($sec), $casernen[$extract[0]]);
}

$template->assign('file', $file);
?>